Bug 837383 - Wrong exit code for rhc app tail with options
Wrong exit code for rhc app tail with options
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 12:20 EDT by mzimen
Modified: 2015-05-14 21:59 EDT (History)
5 users (show)

See Also:
Fixed In Version: fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_209
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:49:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mzimen 2012-07-03 12:20:07 EDT
Description of problem:

For an existing app,this command should return 0:

rhc app tail -a myphpl3uugd65vl -l user@redhat.com -p redhat -o '--pid 9999'

but returns 1 as if error, which is not this case.

Version-Release number of selected component (if applicable):
rhc-0.95.4-1.el6_3.noarch

How reproducible: always


Steps to Reproduce:
1. Create an app
2. Run the tail command with rhc wrapper
3.
  
Actual results:
1

Expected results:
0
Comment 1 John (J5) Palmieri 2012-08-16 14:16:30 EDT
returns 0 for me.  Is this still an issue?
Comment 2 joycezhang 2012-08-21 04:50:36 EDT
This bug will be verified with the latest client.
Comment 3 joycezhang 2012-08-21 05:08:33 EDT
This bug is still reproduced. Please get more information as below:

Build:
rhc-0.97.13
devenv_2037

Steps:
1. Creat an app
#rhc app create -a php1 -t php-5.3 -p xxx
2. Tail the log file
#rhc app tail -a php1 -o '--pid 9999'
3. Check the exit code
#echo $?

Actual results:
It's still return code 1 as below:
[root@joycezh ~]# echo $?
1

So mark this bug as assigned.
Comment 4 John (J5) Palmieri 2012-10-09 09:52:46 EDT
Please test on the latest fork ami - fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_209
Comment 5 joycezhang 2012-10-09 22:42:53 EDT
This bug has been verified and fixed. Please refer to the details as below:

Verified build:
rhc client built from fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_213
devenv_2303

Verified steps:
1. Create an app
2. Tail app log
#rhc tail jboseap -o '--pid 9999'
3.Check the exit code
#echo $?

Verified results:
It's fixed as below:
# echo $?
0

So mark it as Verified. Thanks.

Note You need to log in before you can comment on or make changes to this bug.